<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/cv_bin_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/06/84  cv_bin_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in cv_bin_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: cv_bin_: 02/06/84  cv_bin_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function:  converts the binary representation of an integer
<span id="L11" class="LineNr">11 </span><span class="textRainbow_lv0_p0">(</span>of any base<span class="textRainbow_lv0_p0">)</span> to a 12-character ASCII string.
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>Syntax:
<span id="L15" class="LineNr">15 </span>declare cv_bin_ entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>12<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L16" class="LineNr">16 </span>call cv_bin_ <span class="textRainbow_lv0_p0">(</span>n<span class="textRainbow_lv0_o0">,</span> string<span class="textRainbow_lv0_o0">,</span> base<span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>Arguments:
<span id="L20" class="LineNr">20 </span>n
<span id="L21" class="LineNr">21 </span>   is the binary integer to be converted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L22" class="LineNr">22 </span>string
<span id="L23" class="LineNr">23 </span>   is the ASCII equivalent of n.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L24" class="LineNr">24 </span>base
<span id="L25" class="LineNr">25 </span>   is the base to use in converting the binary integer <span class="textRainbow_lv0_p0">(</span>e.g.<span class="textRainbow_lv0_o0">,</span> base is
<span id="L26" class="LineNr">26 </span>   10 for decimal integers<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>:Entry:  dec:  02/06/84 cv_bin_$dec
<span id="L30" class="LineNr">30 </span>
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>Function: converts the binary representation of an integer of base 10
<span id="L33" class="LineNr">33 </span>to a 12-character ASCII string.
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>Syntax:
<span id="L37" class="LineNr">37 </span>declare cv_bin_$dec entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>12<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L38" class="LineNr">38 </span>call cv_bin_$dec <span class="textRainbow_lv0_p0">(</span>n<span class="textRainbow_lv0_o0">,</span> string<span class="textRainbow_lv0_p0">)</span>;
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>Arguments:
<span id="L42" class="LineNr">42 </span>n
<span id="L43" class="LineNr">43 </span>   is the binary integer to be converted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L44" class="LineNr">44 </span>string
<span id="L45" class="LineNr">45 </span>   is the ASCII equivalent of n.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L46" class="LineNr">46 </span>
<span id="L47" class="LineNr">47 </span>
<span id="L48" class="LineNr">48 </span>Notes:  This function can be performed more efficiently in PL/I by:
<span id="L49" class="LineNr">49 </span>
<span id="L50" class="LineNr">50 </span>      string = ltrim <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>n<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>:Entry:  oct:  02/06/84 cv_bin_$oct
<span id="L55" class="LineNr">55 </span>
<span id="L56" class="LineNr">56 </span>
<span id="L57" class="LineNr">57 </span>Function: converts the binary representation of an octal integer to a
<span id="L58" class="LineNr">58 </span>12-character ASCII string.
<span id="L59" class="LineNr">59 </span>
<span id="L60" class="LineNr">60 </span>
<span id="L61" class="LineNr">61 </span>Syntax:
<span id="L62" class="LineNr">62 </span>declare cv_bin_$oct entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>12<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L63" class="LineNr">63 </span>call cv_bin_$oct <span class="textRainbow_lv0_p0">(</span>n<span class="textRainbow_lv0_o0">,</span> string<span class="textRainbow_lv0_p0">)</span>;
<span id="L64" class="LineNr">64 </span>
<span id="L65" class="LineNr">65 </span>
<span id="L66" class="LineNr">66 </span>Arguments:
<span id="L67" class="LineNr">67 </span>n
<span id="L68" class="LineNr">68 </span>   is the binary integer to be converted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L69" class="LineNr">69 </span>string
<span id="L70" class="LineNr">70 </span>   is the ASCII equivalent of n.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L71" class="LineNr">71 </span>
<span id="L72" class="LineNr">72 </span>
<span id="L73" class="LineNr">73 </span>Notes:  If the character-string representation of the number exceeds 12
<span id="L74" class="LineNr">74 </span>characters, then only the low-order 12 digits are returned.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
